@mixin icon($svg) {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  background: url($svg) center center / contain no-repeat;
}

@mixin xs-up { /* font(16) 360px | font(16) 315 */
  @media (max-width: 22.5rem) { @content; }
}
@mixin sm-up { /* font(16) 576px | font(16) 504 */
  @media (max-width: 36rem) { @content; }
}
@mixin md-up { /* font(16) 768px | font(16) 672 */
  @media (max-width: 48rem) { @content; }
}
@mixin lg-up { /* font(16) 1024px | font(16) 896 */
  @media (max-width: 64rem) { @content; }
}
@mixin xl-up { /* font(16) 1312px | font(16) 1148 */
  @media (max-width: 82rem) { @content; }
}

@mixin line-clamp($lines) {
  display: -webkit-box;
  /* autoprefixer: off */
  -webkit-box-orient: vertical;
  /* autoprefixer: on */
  line-height: 1.2;
  overflow: hidden;
  text-overflow: ellipsis;
  padding: 0;

  -webkit-line-clamp: $lines;
  height: calc(1em * 1.2 * #{$lines});
}
